/**
 * Define the exit command.
 */

package extensions.generic;

import extensions.generic.*;
import java.util.HashMap;
import javax.media.j3d.*;
import javax.vecmath.*;

public class AxisOnCmd implements Command {
	private HashMap axisData;
	
	public AxisOnCmd(HashMap axisData) {
		this.axisData = axisData;
	}
		
    public void Execute(){
    	
      extensions.generic.AxisObject axis = (extensions.generic.AxisObject)axisData.get("axis");
      Shape3D textx = (Shape3D)axisData.get("X");
      Shape3D texty = (Shape3D)axisData.get("Y");
      Shape3D textz = (Shape3D)axisData.get("Z");

	  if(axis.numGeometries() == 0) {
	    axis.insertGeometry((Geometry)axisData.get("axisgeom"), 0);
	    textx.insertGeometry((Geometry)axisData.get("textxgeom"), 0);
	    texty.insertGeometry((Geometry)axisData.get("textygeom"), 0);
	    textz.insertGeometry((Geometry)axisData.get("textzgeom"), 0);
	  }
	  else System.out.println("Geometry is existed already!!!!");
		
    }
}

